unit frmMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,CorbaServer_i, CorbaServer_c, Corba, Db, DBClient, CorbaCon;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Edit1: TEdit;
    Button2: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;
  mioserverfac: mioCorbaServerFactory;
  mioserver: ImioCorbaServer;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
  try
    CorbaInitialize;
    mioServerfac := TmioCorbaServerFactoryHelper.Bind('mioCorbaServer');
    mioserver := mioServerFac.CreateInstance('mioCorbaServer');
    showmessage('Connessione effettuata.');
  except
    showmessage('Errore di connessione.');
  end;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  ShowMessage(inttostr(mioServer.ContaCaratteri(edit1.text)));
end;

end.
