import java.util.ArrayList;

public class Messaggeria {

private ArrayList lista = new ArrayList();

public int numeroElementi() {
  return lista.size();
}

public void inserisci(Messaggio m) {
  lista.add(m);
}

public Messaggio preleva(int indice) {
  return (Messaggio)lista.get(indice);
}

public Messaggio rimuovi(int indice) {
  return (Messaggio)lista.remove(indice);
}

public static void main(String[] args) {

  Messaggeria mes = new Messaggeria();

  // inserisci dieci messaggi scelti a caso
  for (int i = 1; i <= 10; i++) {
    double r = Math.random();
    if (r <= 0.3)
      mes.inserisci(new Mail());
    else if (r <= 0.6)
      mes.inserisci(new MessaggioVocale());
    else
      mes.inserisci(new Immagine());
  }

  // leggi tutti i messaggi
  Messaggio m;
  for (int i = 0; i < mes.numeroElementi(); i++) {
    m = (Messaggio)mes.preleva(i);
    m.leggi();
  }
}
}
